TYPO3 requires PHP 5.1.0 or higher. [Gelöst]

  • Tim79 Tim79
    Jar Jar Binks
    0 x
    1 Beiträge
    0 Hilfreiche Beiträge
    01. 05. 2008, 13:40

    Hallo,

    wollte Typo3 4.2 unter der Adresse [url]http://www.2008.ssv-marienheide-online.de[/url] installieren. Leider komme ich gar nicht erst ins Install-Tool, denn bei Aufruf der Domain erscheint lediglich der Text: "TYPO3 requires PHP 5.1.0 or higher." Die Seite ist bei 1&1 gehostet.

    Kann es wirklich sein, dass 1&1 kein PHP 5.1 unterstützt? Habe noch eine andere Seite mit Joomla, die funktioniert bspw. einwandfrei.


  • 1
  • just2b just2b
    TYPO3-Yoda
    0 x
    18741 Beiträge
    2 Hilfreiche Beiträge
    01. 05. 2008, 13:48

    Hallo,

    das solltest du 1&1 fragen, nicht hier ;)

    georg

  • cplatzer cplatzer
    Typ im Roten Hemd
    0 x
    2 Beiträge
    0 Hilfreiche Beiträge
    07. 05. 2008, 15:55

    Hallo,

    wenn es jemandem weiter hilft, habe im 1&1 Hilfe-Center folgende Info gefunden (versuche auch gerade Typo3 4.2 unter 1&1 Webhosting zu installieren):

    "Was muss ich beachten, wenn ich PHP 5 nutzen möchte?
    Sie können bei 1&1 WebHosting zwischen PHP 4 und PHP 5 wählen. Um ein Skript als PHP 5 zu kennzeichnen, versehen Sie die Datei einfach mit der Endung .php5 ..."

    Habe es getestet und erst die index.php in index.php5 umbenannt und dann noch die index aus dem install-Verzeichnis und siehe da - Install-Tool läuft. Ich weiß aber nicht, welche php-Dateien noch umbenannt werden müssen ...

    Christian

  • Evchen Evchen
    Padawan
    0 x
    62 Beiträge
    0 Hilfreiche Beiträge
    09. 04. 2009, 13:20

    Hat das jemand versucht mit der Umbenennung der .php-Dateien? Sind es wirklich nur die zwei index.php-Dateien oder alle php-Dateien?

  • brokemeister brokemeis...
    Jedi-Ratsmitglied
    0 x
    762 Beiträge
    0 Hilfreiche Beiträge
    09. 04. 2009, 18:11

    Hi!
    Es gibt htaccess-Kommando bei 1&1, damit automatisch PHP5 ausgewählt ist...
    Schau mal da in die FAQ.

    Gruß

    Malte

  • Evchen Evchen
    Padawan
    0 x
    62 Beiträge
    0 Hilfreiche Beiträge
    15. 04. 2009, 14:47

    Hatte eine Mail an 1&1 geschrieben und die haben mir das auch gesagt ;-) Hatte den Befehl auch schon in einem anderen Forum gefunden, aber damit hatte es nicht funktioniert weil er dann sagte das die localconf.php nicht vorhanden wäre... Hab dann statt Typo Source und extra Testsite direkt das Komplettpaket Source und Dummy verwendet, dann gings auch mit den htaccess-Befehlen...

  • Evchen Evchen
    Padawan
    0 x
    62 Beiträge
    0 Hilfreiche Beiträge
    15. 04. 2009, 14:48

    Ach, falls jemand die Befehle auch braucht:

    AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php

  • Micodat Micodat
    TYPO3-Anwärter
    0 x
    5 Beiträge
    0 Hilfreiche Beiträge
    09. 07. 2009, 15:01

    ... und für alle, die bei Strato hosten, sieht die Lösung so aus:

    im Hauptmenu auf 'Homepagegestaltung'
    -> Website-Configurator
    -> PKP Konfiguration anpassen
    -> beim gewünschten Verzeichnis rechts auf 'auswählen' klicken
    -> Zuordnungfür '*.php' auf 'PHP 5.2.9' setzen

    Ciao
    Frank

  • 1